Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.xy
Class VectorDataItem

    java.lang.Object
      org.jfree.data.ComparableObjectItem
          org.jfree.data.xy.VectorDataItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class VectorDataItem

extends ComparableObjectItem

A data item representing data in the form (x, y, deltaX, deltaY), intended for use by the `VectorSeries` class.

Since:
  1.0.6
See Also:
  Serialized Form

Constructor Summary
`VectorDataItem(double x, double y, double deltaX, double deltaY)` Creates a new instance of `YIntervalItem`.

Method Summary
`Vector` | `getVector()` Returns the vector.
`double` | `getVectorX()` Returns the x-component for the vector.
`double` | `getVectorY()` Returns the y-component for the vector.
`double` | `getXValue()` Returns the x-value.
`double` | `getYValue()` Returns the y-value.

Methods inherited from class org.jfree.data.ComparableObjectItem
`clone, compareTo, equals, getComparable, getObject, hashCode, setObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorDataItem

    public VectorDataItem(double x,
                          double y,
                          double deltaX,
                          double deltaY)

  Creates a new instance of `YIntervalItem`.

  Parameters:
    `x` - the x-value.
    `y` - the y-value.
    `deltaX` - the vector x.
    `deltaY` - the vector y.

Method Detail

### getXValue

    public double getXValue()

  Returns the x-value.

  Returns:
    The x-value (never `null`).

### getYValue

    public double getYValue()

  Returns the y-value.

  Returns:
    The y-value.

### getVector

    public Vector getVector()

  Returns the vector.

  Returns:
    The vector (possibly `null`).

### getVectorX

    public double getVectorX()

  Returns the x-component for the vector.

  Returns:
    The x-component.

### getVectorY

    public double getVectorY()

  Returns the y-component for the vector.

  Returns:
    The y-component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.